MediaWiki 1.27

From MediaWiki.org
Jump to navigation Jump to search
This page is a translated version of the page MediaWiki 1.27 and the translation is 71% complete.

Other languages:
Bahasa Indonesia • ‎Deutsch • ‎English • ‎Nederlands • ‎dansk • ‎español • ‎français • ‎italiano • ‎magyar • ‎polski • ‎português • ‎português do Brasil • ‎čeština • ‎русский • ‎中文 • ‎日本語 • ‎한국어

MediaWiki 1.27 — устаревшая версия MediaWiki. Обратитесь к файлу RELEASE NOTES для просмотра полного списка изменений. Был развернут на вики Фонда Викимедиа через инкрементный "1.27.0-wmf.NN" ветки, начиная с 29 сентября 2015 по март 2016 (просмотреть подробную информацию). 1.27.0 стабильный релиз вышел 28 июня 2016[1], и будет с долгосрочной поддержкой (LTS), которая будет поддерживаться в течение трех лет. Загрузите последнюю версию или ознакомьтесь с веткой REL1_27 в Git чтобы следовать этой версии.

Новые возможности

InstantCommons сделали удобнее и легче

InstantCommons теперь будет действительно работать из коробки, до тех пор, пока ваши пользователи смогут подключаться к upload.wikimedia.org: эскизы будут обслуживаться из этого домена вместо того, чтобы требовать локальной генерации (gerrit:251556).

Больше переведенной документации

Продолжаются работы по переходу к расширению Translate, в настоящее время используется около 3000 страниц. Размер текста переводов увеличился на различные мегабайт. Благодаря не только нашим администраторам переводов и переводчикам, но и студентам Google Code-in 2015, в частности IoannisKydonis, который перенес тысячи переводов, включая весь Manual:FAQ.

Примечание по обновлению для администраторов MediaWiki

Существенные изменения

  • MediaWiki теперь требует по крайней мере, PHP 5.5.9. Что соответствует HHVM 3.1.[2]
  • The mbstring PHP extension is now required.
  • If the openssl and mcrypt PHP extensions are both unavailable, secure session storage (used for login) will raise an exception. This exception may be bypassed by setting $wgSessionInsecureSecrets = true; . Note that this bypass is not recommended. It is insecure. You should not use it.
  • After doing the upgrade, many users have problems with pages, which do not appear in their categories although they in fact are categorized correctly. In many cases this is a problem with the job queue. The issue people usually have is that pages do not (in fact: not immediately) appear inside their categories. Reasons may be different: It is possible that the job queue is not working correctly anymore. Please read $wgRunJobsAsync and follow the advice given there in order to solve this issue.
  • Расширение RandomRootPage было объединено с ядром MediaWiki. Если оно у вас установлено, вы должны удалить его.
  • Расширение ApiSandbox было объединено с ядром MediaWiki. Если оно у вас установлено, вы должны удалить его.
  • $wgSessionsInObjectCache is deprecated and always true, and thus sessions are no longer stored using PHP's session handling (e.g. session.save_path). If you see issues with loss of session data while logging in, ensure you have a persistent shared cache configured for session storage in $wgSessionCacheType .
  • AuthManager. If you're writing a new extension, you should definitely follow Manual:SessionManager and AuthManager and then upgrade to 1.27 to use it. If you are making sure an existing extension is compatible with 1.27, see the updating tips.

Несовместимые расширения

Note that this new branch brought breaking changes to a number of extensions, many of which have not been updated yet. See open subtasks of задача T110291 for a list of extensions which have been identified as needing updates. If you use any of the listed extensions, you should test that they still function properly in your environment before upgrading your production wikis. Patches to update these extensions are welcome.

График выпуска

Даты точечных релизов для 1.27 были следующими:

Релиз Дата
1.27.0 2016-06-28[1]
1.27.1 2016-08-22[3]
1.27.2 2017-04-06[4]
1.27.3 2017-04-30[5]
1.27.4 2017-11-14[6]
1.27.5 2018-09-20[7]


Подстраницы